<?php
require '../../conexao/conexao.php';
require '../../sessao.php';
require '../../configuacoes.php';

if (isset($_GET['id']) && $_GET['id'] == '0') {
    $pageTitle = "Incluir Funcionário"; // Definir o título da página aqui
} else {
    $pageTitle = "Alterar Funcionário";
}


//Declarado as variáveis que serão usadas para edição.
$funcionario = array(
    'id_funcionario' => '0',
    'nome' => '',
    'id_departamento' => '',
    'id_setor' => '',
    'nome_pessoa' => '',
    'cod_fcerta' => '',

    // ... outros campos que você pode ter ...
);

$nome = $_GET['nome'] ?? null;
$codigo_fcerta = $_GET['codigo_fcerta'] ?? null;
$departamento = $_GET['departamento'] ?? null;
$setor = $_GET['setor'] ?? null;
$situacao = $_GET['situacao'] ?? null;

// Consulta SQL Situacao
$sql_situacao = "SELECT y.situacao from produtos_falta as y
group by y.situacao";

// Executando a consulta
$result_situacao = $connectionmysql->query($sql_situacao);

// Verificando se a consulta foi bem-sucedida
if ($result_situacao) {
    // Inicializando um array para armazenar os resultados
    $situacaoArray = array();

    // Fetching os resultados e armazenando no array
    while ($row3 = $result_situacao->fetch_assoc()) {
        $situacaoArray[] = $row3;
    }
} else {
    // Lidando com erros na execução da consulta
    echo "Erro na execução da consulta: " . $connectionmysql->error;
}

//Verificando se é alteração
// Verificando se é alteração
if (isset($_GET['id_funcionario']) && !empty($_GET['id_funcionario'])) {
    $idfuncionario = $_GET['id_funcionario'];


    // Preparando a declaração
    $stmt = $connectionmysql->prepare(
        "SELECT 
            f.id_funcionario,
            f.nome,
            f.cod_fcerta,
            f.id_departamento,
            d.nome_departamento,
            s.nome_setor,
            p.nome AS nome_pessoa,
            p.id_pessoa,
            f.situacao
        FROM funcionarios AS f
        INNER JOIN departamentos AS d ON f.id_departamento = d.id_departamento
        INNER JOIN setores AS s ON f.id_setor = s.id_setor
        left JOIN pessoa AS p ON f.id_pessoa = p.id_pessoa
        WHERE f.id_funcionario = ?"
    );

    if ($stmt) {
        // Vinculando parâmetros e executando a declaração
        $stmt->bind_param("i", $idfuncionario); // 'i' indica que é um inteiro
        $stmt->execute();

        // Obtendo os resultados
        $result = $stmt->get_result();
        if ($result->num_rows > 0) {
            $funcionario = $result->fetch_assoc(); // preenchendo as variáveis com o retorno da query
        } else {
            echo "Nenhum funcionário encontrado com o ID especificado.";
        }

        // Fechando a declaração
        $stmt->close();
    } else {
        echo "Erro ao preparar a declaração: " . $connectionmysql->error;
    }
}
?>

<!DOCTYPE html>
<html lang="pt-br">
<?php

?>
<head>
    <link rel="icon" href="\KPI\pages/configuracoes/logo-sm.png">
    <link rel="shortcut icon" href="\KPI\pages/configuracoes/logo-sm.png">

</head>
<body>

    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <div class="row">
            <!-- Menu Lateral -->
            <?php include('../lateral.php'); ?>

            <!-- Conteúdo Principal -->
            <main class="col-md-9 col-lg-10 content">
                <div class="wrapper">
                    <div class="container-fluid">

                        <div class="card-box mt-3">

                            <div class="row">
                                <div class="col-6 text-left">
                                    <h4 class="page-title"><?php echo $pageTitle ?></h4>
                                </div>

                                <div class="col-6 text-right">
                                    <button onclick="goBack()" class="btn btn-light"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                                </div>

                                <div class="col-12">
                                    <hr>
                                </div>

                                <div class="col-12">
                                    <form method="post" action="processa_cadastro_funcionario.php" onsubmit="return validarFormulario();">
                                        <div class="form-row mb-3">
                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="name" class="col-form-label">Nome</label>
                                                <p><input type="text" name="name" id="name" class="form-control" placeholder="Informe o nome do Colaborador" value="<?php echo isset($funcionario['nome']) ? htmlspecialchars($funcionario['nome']) : ''; ?>"></p>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="cod_fcerta" class="col-form-label">Código Pharmacie</label>
                                                <p><input type="number" name="cod_fcerta" id="cod_fcerta" class="form-control" placeholder="Informe o Código Pharmacie" value="<?php echo htmlspecialchars($funcionario['cod_fcerta']); ?>"></p>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="departamento" class="col-form-label">Departamento</label>
                                                <select name="departamento" id="departamento" class="form-control" onchange="carregarSetores(this.value)">
                                                    <?php
                                                    if (!empty($funcionario['id_departamento'])) {
                                                        $sql_departamento =
                                                            "SELECT nome_departamento FROM departamentos WHERE id_departamento = ? ";
                                                        $stmt_departamento = $connectionmysql->prepare($sql_departamento);
                                                        $stmt_departamento->bind_param("i", $funcionario['id_departamento']);
                                                        $stmt_departamento->execute();
                                                        $stmt_departamento->bind_result($nome_departamento);
                                                        $stmt_departamento->fetch();
                                                        $stmt_departamento->close();
                                                        echo "<option value=\"{$funcionario['id_departamento']}\" selected>{$nome_departamento}</option>";
                                                    } else {
                                                        echo "<option value=\"\" selected disabled>Selecione</option>";
                                                    }

                                                    $sql_departamentos =
                                                        "SELECT id_departamento, nome_departamento FROM departamentos where situacao <> 'I'";
                                                    $result_departamentos = $connectionmysql->query($sql_departamentos);

                                                    if ($result_departamentos) {
                                                        while ($row_departamento = $result_departamentos->fetch_assoc()) {
                                                            if ($row_departamento['id_departamento'] != $funcionario['id_departamento']) {
                                                                echo "<option value=\"{$row_departamento['id_departamento']}\">{$row_departamento['nome_departamento']}</option>";
                                                            }
                                                        }
                                                    } else {
                                                        echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="setor" class="col-form-label">Setor</label>
                                                <select name="setor" id="setor" class="form-control">
                                                    <?php
                                                    if (empty($funcionario['id_departamento'])) {
                                                        echo "<option value=\"\" selected disabled>Selecione o Departamento primeiro</option>";
                                                    } else {
                                                        $sql_setores = "SELECT id_setor, nome_setor FROM setores WHERE id_departamento = ?";
                                                        $stmt_setores = $connectionmysql->prepare($sql_setores);
                                                        $stmt_setores->bind_param("i", $funcionario['id_departamento']);
                                                        $stmt_setores->execute();
                                                        $result_setores = $stmt_setores->get_result();
                                                        $stmt_setores->close();

                                                        if ($result_setores) {
                                                            while ($row_setor = $result_setores->fetch_assoc()) {
                                                                $selected = ($row_setor['id_setor'] == $funcionario['id_setor']) ? 'selected' : '';
                                                                echo "<option value=\"{$row_setor['id_setor']}\" $selected>{$row_setor['nome_setor']}</option>";
                                                            }
                                                        } else {
                                                            echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="nome_pessoa" class="col-form-label">Nome Pessoa</label>
                                                <select name="nome_pessoa" id="nome_pessoa" class="form-control">
                                                    <?php
                                                    if (empty($funcionario['id_pessoa'])) {
                                                        echo "<option value=\"\" selected disabled>Selecione</option>";
                                                    } else {
                                                        $sql_pessoa = "SELECT nome FROM pessoa WHERE id_pessoa = ?  and nome <> 'Manda Receita'";
                                                        $stmt_pessoa = $connectionmysql->prepare($sql_pessoa);
                                                        $stmt_pessoa->bind_param("i", $funcionario['id_pessoa']);
                                                        $stmt_pessoa->execute();
                                                        $stmt_pessoa->bind_result($nome_pessoa);
                                                        $stmt_pessoa->fetch();
                                                        $stmt_pessoa->close();
                                                        echo "<option value=\"{$funcionario['id_pessoa']}\" selected>{$nome_pessoa}</option>";
                                                    }

                                                    $sql_pessoas = "SELECT id_pessoa, nome FROM pessoa where tipo_pessoa = 'f' and nome <> 'Manda Receita'";
                                                    $result_pessoas = $connectionmysql->query($sql_pessoas);

                                                    if ($result_pessoas) {
                                                        while ($row_pessoa = $result_pessoas->fetch_assoc()) {
                                                            if ($row_pessoa['id_pessoa'] != $funcionario['id_pessoa']) {
                                                                echo "<option value=\"{$row_pessoa['id_pessoa']}\">{$row_pessoa['nome']}</option>";
                                                            }
                                                        }
                                                    } else {
                                                        echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                            <?php
                                            if (isset($_GET['id']) && $_GET['id'] == '1') {
                                                // Verifica se $funcionario['situacao'] está definido e não é nulo
                                                $situacao = isset($funcionario['situacao']) ? $funcionario['situacao'] : '';
                                            ?>
                                                <div class="form-group col-md-3 pessoa-fisica">
                                                    <label for="situacao" class="col-form-label">Situação</label>
                                                    <select id="situacao" name="situacao" class="form-control">
                                                        <option value="A" <?php echo ($situacao == 'A') ? 'selected' : ''; ?>>Ativo</option>
                                                        <option value="I" <?php echo ($situacao == 'I') ? 'selected' : ''; ?>>Inativo</option>
                                                    </select>
                                                </div>
                                            <?php } ?>


                                            <input type="hidden" name="id_funcionario" id="id_funcionario" value="<?php echo htmlspecialchars($funcionario['id_funcionario']); ?>">
                                            <input type="hidden" name="nomef" id="nomef" value="<?php echo htmlspecialchars($nome); ?>">
                                            <input type="hidden" name="codigo_fcertaf" id="codigo_fcertaf" value="<?php echo htmlspecialchars($codigo_fcerta); ?>">
                                            <input type="hidden" name="departamentof" id="departamentof" value="<?php echo htmlspecialchars($departamento); ?>">
                                            <input type="hidden" name="setorf" id="setorf" value="<?php echo htmlspecialchars($setor); ?>">
                                            <input type="hidden" name="situacaof" id="situacaof" value="<?php echo htmlspecialchars($situacao); ?>">

                                            <div class="col-12 text-right">
                                                <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Salvar</button>
                                            </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                    </div>

                </div> <!-- end container -->
            </main>
        </div>
    </div>


    <!-- end wrapper -->

    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->


    <?php
    include('../../geral/mensagens_modais.php');
    ?>

    <!-- Vendor js -->
    <script src="../../../assets/js/vendor.min.js"></script>

    <!-- knob plugin -->
    <script src="../../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../../assets/js/app.min.js"></script>

    <!-- script para obter os setores de forma dinamica -->
    <script>
        function carregarSetores(idDepartamento) {
            // Limpa as opções atuais do setor
            document.getElementById("setor").innerHTML = "<option value=\"\" selected disabled>Carregando...</option>";

            // Se o idDepartamento não estiver vazio, carrega os setores correspondentes
            if (idDepartamento !== "") {
                var xhr = new XMLHttpRequest();
                xhr.onreadystatechange = function() {
                    if (xhr.readyState == 4 && xhr.status == 200) {
                        // Atualiza as opções do setor com base na resposta da requisição
                        document.getElementById("setor").innerHTML = xhr.responseText;
                    }
                };
                xhr.open("GET", "carregar_setores.php?id_departamento=" + idDepartamento, true);
                xhr.send();
            }
        }
    </script>
    <!-- fim script setor -->


    <script>
        document.addEventListener('DOMContentLoaded', function() {
            let campos = ['name', 'departamento', 'cod_fcerta', 'setor'];
            campos.forEach(function(campo) {
                document.getElementById(campo).addEventListener('input', function() {
                    validarCampo(campo);
                });
            });
        });

        function exibirMensagemErro(mensagem, id) {
            let errorDiv;
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
            errorDiv = document.createElement('div');
            errorDiv.textContent = mensagem;
            errorDiv.classList.add('error-message');
            document.getElementById(id).parentNode.appendChild(errorDiv);
        }

        function removerMensagemErro(id) {
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
        }

        function validarCampo(id) {
            let campo = document.getElementById(id);
            let valor = campo.value.trim();
            let camposValidos = true;

            if (!valor) {
                camposValidos = false;
                campo.classList.add('is-invalid');
                exibirMensagemErro('Por favor, preencha este campo.', id);
            } else {
                campo.classList.remove('is-invalid');
                removerMensagemErro(id);
            }

            return camposValidos;
        }

        function validarFormulario() {
            let nome = validarCampo("name");
            let departamento = validarCampo("departamento");
            let cod_fcerta = validarCampo("cod_fcerta");
            let setor = validarCampo("setor");

            let camposValidos = nome && departamento && cod_fcerta && setor;

            return camposValidos;
        }

        function goBack() {
            window.history.back();
        }
    </script>
    <style>
        .is-invalid {
            border: 1px solid red;
        }

        .error-message {
            color: red;
            font-size: 1em;
        }
    </style>
</body>
<?php
require '../../conexao/conexao.php';
require '../../sessao.php';
require '../../configuacoes.php';

if (isset($_GET['id']) && $_GET['id'] == '0') {
    $pageTitle = "Incluir Funcionário"; // Definir o título da página aqui
} else {
    $pageTitle = "Alterar Funcionário";
}


//Declarado as variáveis que serão usadas para edição.
$funcionario = array(
    'id_funcionario' => '0',
    'nome' => '',
    'id_departamento' => '',
    'id_setor' => '',
    'nome_pessoa' => '',
    'cod_fcerta' => '',

    // ... outros campos que você pode ter ...
);

$nome = $_GET['nome'] ?? null;
$codigo_fcerta = $_GET['codigo_fcerta'] ?? null;
$departamento = $_GET['departamento'] ?? null;
$setor = $_GET['setor'] ?? null;
$situacao = $_GET['situacao'] ?? null;

// Consulta SQL Situacao
$sql_situacao = "SELECT y.situacao from produtos_falta as y
group by y.situacao";

// Executando a consulta
$result_situacao = $connectionmysql->query($sql_situacao);

// Verificando se a consulta foi bem-sucedida
if ($result_situacao) {
    // Inicializando um array para armazenar os resultados
    $situacaoArray = array();

    // Fetching os resultados e armazenando no array
    while ($row3 = $result_situacao->fetch_assoc()) {
        $situacaoArray[] = $row3;
    }
} else {
    // Lidando com erros na execução da consulta
    echo "Erro na execução da consulta: " . $connectionmysql->error;
}

//Verificando se é alteração
// Verificando se é alteração
if (isset($_GET['id_funcionario']) && !empty($_GET['id_funcionario'])) {
    $idfuncionario = $_GET['id_funcionario'];


    // Preparando a declaração
    $stmt = $connectionmysql->prepare(
        "SELECT 
            f.id_funcionario,
            f.nome,
            f.cod_fcerta,
            f.id_departamento,
            d.nome_departamento,
            s.nome_setor,
            p.nome AS nome_pessoa,
            p.id_pessoa,
            f.situacao
        FROM funcionarios AS f
        INNER JOIN departamentos AS d ON f.id_departamento = d.id_departamento
        INNER JOIN setores AS s ON f.id_setor = s.id_setor
        left JOIN pessoa AS p ON f.id_pessoa = p.id_pessoa
        WHERE f.id_funcionario = ?"
    );

    if ($stmt) {
        // Vinculando parâmetros e executando a declaração
        $stmt->bind_param("i", $idfuncionario); // 'i' indica que é um inteiro
        $stmt->execute();

        // Obtendo os resultados
        $result = $stmt->get_result();
        if ($result->num_rows > 0) {
            $funcionario = $result->fetch_assoc(); // preenchendo as variáveis com o retorno da query
        } else {
            echo "Nenhum funcionário encontrado com o ID especificado.";
        }

        // Fechando a declaração
        $stmt->close();
    } else {
        echo "Erro ao preparar a declaração: " . $connectionmysql->error;
    }
}
?>

<!DOCTYPE html>
<html lang="pt-br">
<?php

?>

<body>

    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <div class="row">
            <!-- Menu Lateral -->
            <?php include('../lateral.php'); ?>

            <!-- Conteúdo Principal -->
            <main class="col-md-9 col-lg-10 content">
                <div class="wrapper">
                    <div class="container-fluid">

                        <div class="card-box mt-3">

                            <div class="row">
                                <div class="col-6 text-left">
                                    <h4 class="page-title"><?php echo $pageTitle ?></h4>
                                </div>

                                <div class="col-6 text-right">
                                    <button onclick="goBack()" class="btn btn-light"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                                </div>

                                <div class="col-12">
                                    <hr>
                                </div>

                                <div class="col-12">
                                    <form method="post" action="processa_cadastro_funcionario.php" onsubmit="return validarFormulario();">
                                        <div class="form-row mb-3">
                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="name" class="col-form-label">Nome</label>
                                                <p><input type="text" name="name" id="name" class="form-control" placeholder="Informe o nome do Colaborador" value="<?php echo isset($funcionario['nome']) ? htmlspecialchars($funcionario['nome']) : ''; ?>"></p>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="cod_fcerta" class="col-form-label">Código Pharmacie</label>
                                                <p><input type="number" name="cod_fcerta" id="cod_fcerta" class="form-control" placeholder="Informe o Código Pharmacie" value="<?php echo htmlspecialchars($funcionario['cod_fcerta']); ?>"></p>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="departamento" class="col-form-label">Departamento</label>
                                                <select name="departamento" id="departamento" class="form-control" onchange="carregarSetores(this.value)">
                                                    <?php
                                                    if (!empty($funcionario['id_departamento'])) {
                                                        $sql_departamento =
                                                            "SELECT nome_departamento FROM departamentos WHERE id_departamento = ? ";
                                                        $stmt_departamento = $connectionmysql->prepare($sql_departamento);
                                                        $stmt_departamento->bind_param("i", $funcionario['id_departamento']);
                                                        $stmt_departamento->execute();
                                                        $stmt_departamento->bind_result($nome_departamento);
                                                        $stmt_departamento->fetch();
                                                        $stmt_departamento->close();
                                                        echo "<option value=\"{$funcionario['id_departamento']}\" selected>{$nome_departamento}</option>";
                                                    } else {
                                                        echo "<option value=\"\" selected disabled>Selecione</option>";
                                                    }

                                                    $sql_departamentos =
                                                        "SELECT id_departamento, nome_departamento FROM departamentos where situacao <> 'I'";
                                                    $result_departamentos = $connectionmysql->query($sql_departamentos);

                                                    if ($result_departamentos) {
                                                        while ($row_departamento = $result_departamentos->fetch_assoc()) {
                                                            if ($row_departamento['id_departamento'] != $funcionario['id_departamento']) {
                                                                echo "<option value=\"{$row_departamento['id_departamento']}\">{$row_departamento['nome_departamento']}</option>";
                                                            }
                                                        }
                                                    } else {
                                                        echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="setor" class="col-form-label">Setor</label>
                                                <select name="setor" id="setor" class="form-control">
                                                    <?php
                                                    if (empty($funcionario['id_departamento'])) {
                                                        echo "<option value=\"\" selected disabled>Selecione o Departamento primeiro</option>";
                                                    } else {
                                                        $sql_setores = "SELECT id_setor, nome_setor FROM setores WHERE id_departamento = ?";
                                                        $stmt_setores = $connectionmysql->prepare($sql_setores);
                                                        $stmt_setores->bind_param("i", $funcionario['id_departamento']);
                                                        $stmt_setores->execute();
                                                        $result_setores = $stmt_setores->get_result();
                                                        $stmt_setores->close();

                                                        if ($result_setores) {
                                                            while ($row_setor = $result_setores->fetch_assoc()) {
                                                                $selected = ($row_setor['id_setor'] == $funcionario['id_setor']) ? 'selected' : '';
                                                                echo "<option value=\"{$row_setor['id_setor']}\" $selected>{$row_setor['nome_setor']}</option>";
                                                            }
                                                        } else {
                                                            echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="form-group col-md-3 pessoa-fisica">
                                                <label for="nome_pessoa" class="col-form-label">Nome Pessoa</label>
                                                <select name="nome_pessoa" id="nome_pessoa" class="form-control">
                                                    <?php
                                                    if (empty($funcionario['id_pessoa'])) {
                                                        echo "<option value=\"\" selected disabled>Selecione</option>";
                                                    } else {
                                                        $sql_pessoa = "SELECT nome FROM pessoa WHERE id_pessoa = ? and nome <> 'Manda Receita'";
                                                        $stmt_pessoa = $connectionmysql->prepare($sql_pessoa);
                                                        $stmt_pessoa->bind_param("i", $funcionario['id_pessoa']);
                                                        $stmt_pessoa->execute();
                                                        $stmt_pessoa->bind_result($nome_pessoa);
                                                        $stmt_pessoa->fetch();
                                                        $stmt_pessoa->close();
                                                        echo "<option value=\"{$funcionario['id_pessoa']}\" selected>{$nome_pessoa}</option>";
                                                    }

                                                    $sql_pessoas = "SELECT id_pessoa, nome FROM pessoa where tipo_pessoa = 'f' and nome <> 'Manda Receita'";
                                                    $result_pessoas = $connectionmysql->query($sql_pessoas);

                                                    if ($result_pessoas) {
                                                        while ($row_pessoa = $result_pessoas->fetch_assoc()) {
                                                            if ($row_pessoa['id_pessoa'] != $funcionario['id_pessoa']) {
                                                                echo "<option value=\"{$row_pessoa['id_pessoa']}\">{$row_pessoa['nome']}</option>";
                                                            }
                                                        }
                                                    } else {
                                                        echo "Erro na execução da consulta: " . $connectionmysql->error;
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                            <?php
                                            if (isset($_GET['id']) && $_GET['id'] == '1') {
                                                // Verifica se $funcionario['situacao'] está definido e não é nulo
                                                $situacao = isset($funcionario['situacao']) ? $funcionario['situacao'] : '';
                                            ?>
                                                <div class="form-group col-md-3 pessoa-fisica">
                                                    <label for="situacao" class="col-form-label">Situação</label>
                                                    <select id="situacao" name="situacao" class="form-control">
                                                        <option value="A" <?php echo ($situacao == 'A') ? 'selected' : ''; ?>>Ativo</option>
                                                        <option value="I" <?php echo ($situacao == 'I') ? 'selected' : ''; ?>>Inativo</option>
                                                    </select>
                                                </div>
                                            <?php } ?>


                                            <input type="hidden" name="id_funcionario" id="id_funcionario" value="<?php echo htmlspecialchars($funcionario['id_funcionario']); ?>">
                                            <input type="hidden" name="nomef" id="nomef" value="<?php echo htmlspecialchars($nome); ?>">
                                            <input type="hidden" name="codigo_fcertaf" id="codigo_fcertaf" value="<?php echo htmlspecialchars($codigo_fcerta); ?>">
                                            <input type="hidden" name="departamentof" id="departamentof" value="<?php echo htmlspecialchars($departamento); ?>">
                                            <input type="hidden" name="setorf" id="setorf" value="<?php echo htmlspecialchars($setor); ?>">
                                            <input type="hidden" name="situacaof" id="situacaof" value="<?php echo htmlspecialchars($situacao); ?>">

                                            <div class="col-12 text-right">
                                                <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Salvar</button>
                                            </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                    </div>

                </div> <!-- end container -->
            </main>
        </div>
    </div>


    <!-- end wrapper -->

    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->


    <?php
    include('../../geral/mensagens_modais.php');
    ?>

    <!-- Vendor js -->
    <script src="../../../assets/js/vendor.min.js"></script>

    <!-- knob plugin -->
    <script src="../../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../../assets/js/app.min.js"></script>

    <!-- script para obter os setores de forma dinamica -->
    <script>
        function carregarSetores(idDepartamento) {
            // Limpa as opções atuais do setor
            document.getElementById("setor").innerHTML = "<option value=\"\" selected disabled>Carregando...</option>";

            // Se o idDepartamento não estiver vazio, carrega os setores correspondentes
            if (idDepartamento !== "") {
                var xhr = new XMLHttpRequest();
                xhr.onreadystatechange = function() {
                    if (xhr.readyState == 4 && xhr.status == 200) {
                        // Atualiza as opções do setor com base na resposta da requisição
                        document.getElementById("setor").innerHTML = xhr.responseText;
                    }
                };
                xhr.open("GET", "carregar_setores.php?id_departamento=" + idDepartamento, true);
                xhr.send();
            }
        }
    </script>
    <!-- fim script setor -->


    <script>
        document.addEventListener('DOMContentLoaded', function() {
            let campos = ['name', 'departamento', 'cod_fcerta', 'setor'];
            campos.forEach(function(campo) {
                document.getElementById(campo).addEventListener('input', function() {
                    validarCampo(campo);
                });
            });
        });

        function exibirMensagemErro(mensagem, id) {
            let errorDiv;
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
            errorDiv = document.createElement('div');
            errorDiv.textContent = mensagem;
            errorDiv.classList.add('error-message');
            document.getElementById(id).parentNode.appendChild(errorDiv);
        }

        function removerMensagemErro(id) {
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
        }

        function validarCampo(id) {
            let campo = document.getElementById(id);
            let valor = campo.value.trim();
            let camposValidos = true;

            if (!valor) {
                camposValidos = false;
                campo.classList.add('is-invalid');
                exibirMensagemErro('Por favor, preencha este campo.', id);
            } else {
                campo.classList.remove('is-invalid');
                removerMensagemErro(id);
            }

            return camposValidos;
        }

        function validarFormulario() {
            let nome = validarCampo("name");
            let departamento = validarCampo("departamento");
            let cod_fcerta = validarCampo("cod_fcerta");
            let setor = validarCampo("setor");

            let camposValidos = nome && departamento && cod_fcerta && setor;

            return camposValidos;
        }

        function goBack() {
            window.history.back();
        }
    </script>
    <style>
        .is-invalid {
            border: 1px solid red;
        }

        .error-message {
            color: red;
            font-size: 1em;
        }
    </style>
</body>
